Skip to main content
GET
/
v3
/
10dlc
/
brands
/
{brand_id}
/
appeals
List a 10DLC Brand Identity verification appeals
curl --request GET \
  --url https://api.wavix.com/v3/10dlc/brands/{brand_id}/appeals \
  --header 'Authorization: Bearer <token>'
[
  {
    "categories": [
      "VERIFY_TAX_ID"
    ],
    "created_at": "2024-08-01T14:09:43.000Z",
    "evidence": [],
    "explanation": "Dear partner, please review the registration docs",
    "outcome": {
      "optional_attributes": {},
      "feedback": {
        "category": []
      },
      "vetting_status": "VERIFIED"
    },
    "status": "COMPLETE",
    "updated_at": "2024-08-01T18:33:15.000Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer token using appid (Authorization: Bearer )

Path Parameters

brand_id
string
required

Unique identifier of a Brand

Example:

"BM20QP9"

Response

Request successful.

categories
string[]
required

A list of Brand Identity status appeal categories associated with the original request

Example:
["VERIFY_TAX_ID"]
created_at
string<date-time>
required

The date and time the appeal request is created

Example:

"2024-08-01T14:09:43.000Z"

evidence
string[]
required

A list of evidence UUIDs to be associated with the appeal

Example:
["13d8e00c-3cb4-4dc0-9e26-d5057fa938d9"]
outcome
10DLCBrandIdentityStatusappealstatusoutcome · object
required

The appeal outcome details

status
string
required

The appeal status

Example:

"COMPLETED"

updated_at
string<date-time>
required

The date and time the appeal request is updated

Example:

"2024-08-01T14:09:43.000Z"

explanation
string
required

The appeal justification

Example:

"Dear partner, please review the uploaded company registration docs."

Example:
[
{
"categories": ["VERIFY_TAX_ID"],
"created_at": "2024-08-01T14:09:43.000Z",
"evidence": [],
"explanation": "Dear partner, please review the registration docs",
"outcome": {
"optional_attributes": {},
"feedback": { "category": [] },
"vetting_status": "VERIFIED"
},
"status": "COMPLETE",
"updated_at": "2024-08-01T18:33:15.000Z"
}
]